{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>MANTAP ver.2</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link rel="stylesheet" href="{% static 'style.css' %}">
{% endblock meta %}

{% block content %}

<h1 class="display-4 text-center mt-3 mb-3">Cari Buku</h1>

<div class="row justify-content-md-center">
    <div class="col-md-8 mb-3">
        <input id="input">
    </div>
</div>

<div class="row justify-content-md-center">
    <div class="col-md-8 mb-3">
        <button class="btn btn-primary" id="button">Cari</button>
    </div>
</div>

<div class="row justify-content-sm-center">
    <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">#</th>
            <th scope="col">Judul</th>
            <th scope="col">Pengarang</th>
            <th scope="col">Penerbit</th>
            <th scope="col">Tahun</th>
            <th scope="col">Cover</th>
          </tr>
        </thead>
        <tbody id="hasil">
        </tbody>
      </table>
</div>

<script type="text/javascript">
    var url = '/story8/cari?q=' + 'a';

    $.ajax ({
        url: url,
        success: function(hasil) {
            console.log(hasil.items);
            var obj_hasil = $("#hasil");
            obj_hasil.empty();


            for (i = 0; i < hasil.items.length; i++) {
                var temp_count = i + 1;
                var temp_title = hasil.items[i].volumeInfo.title;
                var temp_auth = hasil.items[i].volumeInfo.authors;
                var temp_publ = hasil.items[i].volumeInfo.publisher;
                var temp_publd = hasil.items[i].volumeInfo.publishedDate;
                var temp_cover = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;

                obj_hasil.append('<tr><th scope="row">' + temp_count + '</th>' +
                    '<td>' + temp_title + '</td>' + '<td>' + temp_auth + '</td>' + '<td>' + temp_publ + '</td>' +
                    '<td>' + temp_publd + '</td>' + '<td>' + '<img src=' + temp_cover + '></td></tr>');
            }
        }
    })

    $( "#button" ).click(function() {
    input = $( "#input" ).val();

    console.log(input);

    var url = '/story8/cari?q=' + input;

    $.ajax ({
        url: url,
        success: function(hasil) {
            console.log(hasil.items);
            var obj_hasil = $("#hasil");
            obj_hasil.empty();


            for (i = 0; i < hasil.items.length; i++) {
                var temp_count = i + 1;
                var temp_title = hasil.items[i].volumeInfo.title;
                var temp_auth = hasil.items[i].volumeInfo.authors;
                var temp_publ = hasil.items[i].volumeInfo.publisher;
                var temp_publd = hasil.items[i].volumeInfo.publishedDate;
                var temp_cover = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;

                obj_hasil.append('<tr><th scope="row">' + temp_count + '</th>' +
                    '<td>' + temp_title + '</td>' + '<td>' + temp_auth + '</td>' + '<td>' + temp_publ + '</td>' +
                    '<td>' + temp_publd + '</td>' + '<td>' + '<img src=' + temp_cover + '></td></tr>');
            }
        }
    })

});
</script>
{% endblock content %}
